#
# spec file for package rstatist (Version 1.3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel g77 glade glademm glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel gtkglarea imlib imlib-devel libglade libglade-devel libgpp libpng libxml libxml-devel orbit orbit-devel readline readline-devel te_latex te_pdf tetex xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glade glademm glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gtkglarea gzip imlib imlib-devel kbd less libglade libglade-devel libgpp libpng libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex te_pdf tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         rstatist
Summary:      R - a system  for statistical computation and graphics
Version:      1.3.0
Release:      67
Group:      X11/Applications
Requires:    netscape
#Provides:   
Copyright:  GPL
URL: http://cran.ch.r-project.org/
Source:     R-%{version}.tar.bz2
# Patch:      R-%{version}.dif

%description
R - a complete statistic package
R, also known as 'GNU S' is a system for statistical data analyse and graphics.
R is quite similar to the wellknown statistic framework S developed by John
Chambers et al at Bell Laboratories. R provides a wide range of statistical
methods.
R is a complete high level object oriented programming language and allows
to enhance the system by defining user functions, even using C, C++ or
Fortran libraries.
Initially, R was founded by professors at the Department of Statistics of the
Auckland University. Now it is maintained by the R Core Team. R's homepage
http://www.R-project.org is a must for the R-user.

Authors:
--------
    The R core team <r-core@lists.r-project.org>

SuSE series: xap

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n R-%{version}
CFLAGS=$RPM_OPT_FLAGS LDFLAGS="-s -L/usr/lib" \
./configure --prefix=/usr --with-gnome --mandir=%{_mandir}
# %patch

%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
(cd doc/manual && make dvi)
(cd doc/manual && make pdf)
(cd doc/manual && make info)

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install prefix=$RPM_BUILD_ROOT/usr
#
(cd doc/manual && make install-dvi)
(cd doc/manual && make install-pdf)
(cd doc/manual && make install-info)
# A link from the doc-dir to the R-package Doc
rm -rf %{_defaultdocdir}/rstatist
install -d -m775  %{_defaultdocdir}
install -d -m775  %{_defaultdocdir}/rstatist
cd %{_defaultdocdir}/rstatist
ln -s /usr/lib/R/doc ./doc

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc AUTHORS BUGS COPYING COPYING.LIB COPYRIGHTS ChangeLog FAQ INSTALL NEWS ONEWS README RESOURCES THANKS VERSION Y2K
# %doc %{_defaultdocdir}/rstatist/BUGS
# %doc %{_defaultdocdir}/rstatist/COPYING
# %doc %{_defaultdocdir}/rstatist/COPYRIGHTS
# %doc %{_defaultdocdir}/rstatist/FAQ
# %doc %{_defaultdocdir}/rstatist/MIRROR-SITES
# %doc %{_defaultdocdir}/rstatist/NEWS
# %doc %{_defaultdocdir}/rstatist/README
# %doc %{_defaultdocdir}/rstatist/VERSION
# %doc %{_defaultdocdir}/rstatist/Y2K
# %doc %{_defaultdocdir}/rstatist/RESOURCES
# %doc %{_defaultdocdir}/rstatist/doc
/usr/bin/R
/usr/lib/R
%{_mandir}/man1/R.1.gz
# %{_mandir}/man1/Rd2txt.1.gz
# %{_mandir}/man1/Rdconv.1.gz
# %{_mandir}/man1/Rdindex.1.gz
# %{_mandir}/man1/Sd2Rd.1.gz
# spec file ends here

%changelog -n rstatist
* Mon Aug 20 2001 - freitag@suse.de
- update to version 1.3.0
* Wed Apr 18 2001 - freitag@suse.de
- fixed bash tilde_expand error to build again in beta and converted
  sourceball to bzip2 compression.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Nov 10 2000 - ro@suse.de
- neededforbuild gtkglare gtkglarea
* Wed Nov 08 2000 - ro@suse.de
- added esound-devel to neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue Sep 05 2000 - @suse.de
-  update to 1.1.1
* Wed May 24 2000 - freitag@suse.de
- update to 1.0.1
* Tue Feb 01 2000 - freitag@suse.de
- first version 0.90.1
